import Image from "next/image";
import Link from 'next/link';

export default function Home() {
  return (
    <>
      {/* Hero Section */}
      <div className="container px-6 py-16 mx-auto text-center">
        <div className="md:max-w-[60%] mx-auto">
          <h1>
            Your Tech Partner for Scalable <span className="font-design">Digital Solutions</span>
          </h1>
          <p className="mt-4 mb-9">
            From web and mobile development to cloud solutions and IT consulting, Teqsol helps businesses scale through tailored technology.
          </p>
          <Link href="/contact" className="button-black">Get a Free Quote</Link>
        </div>
      </div>

      <div className="container mx-auto px-6 py-16">
        <div className="md:flex justify-center">
          <div className="md:w-1/2">
          <h2>We Don’t Just Build Tech <br></br> — We <span className="font-design">Build Partnerships</span></h2>
          </div>
          
          <div className="md:w-1/2 pt-5 md:pt-0">
            <p>At Teqsol, we're more than developers. We're problem-solvers, innovators, and collaborators. Our mission is to equip businesses with reliable and scalable technology that grows with them. With a team of passionate engineers and strategists, we turn complex challenges into custom solutions that drive value.</p>
          </div>
        </div>
      </div>
    </>
  );
}
